Get a subscription
curl --request GET \
--url https://api.bondio.co/v2/subscriptions/{xid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v2/subscriptions/{xid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v2/subscriptions/{xid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "sub2_wyr3ios2",
"esim": {
"id": "esim_iddfsdf1",
"iccid": "891004234814455936F",
"activationCode": "LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH",
"msisdn": "449898978234",
"label": "alpha"
},
"createdAt": 123143243,
"metadata": "tag1"
}SubscriptionV2
Get a subscription
GET
/
v2
/
subscriptions
/
{xid}
Get a subscription
curl --request GET \
--url https://api.bondio.co/v2/subscriptions/{xid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v2/subscriptions/{xid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v2/subscriptions/{xid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "sub2_wyr3ios2",
"esim": {
"id": "esim_iddfsdf1",
"iccid": "891004234814455936F",
"activationCode": "LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH",
"msisdn": "449898978234",
"label": "alpha"
},
"createdAt": 123143243,
"metadata": "tag1"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
esim ICCID or subscription id
Query Parameters
can be used to fetch full esim object with expand=esim
Response
200 - application/json
OK

